BEGIN {
	tulosta=0
	osio=0
	luku=0
	kappale=0
	nb=0
	linkit=0
}
{
	file = FILENAME
	sub(/.html/,".new",file)
	if (osio==1 && $0 !~ "</H4>") {
		osioteksti=$0
		if (osioteksti ~ "Teoria")
			osionro=0
		else if (osioteksti ~ "Ratkaiseminen")
			osionro=1
		else if (osioteksti ~ "Esimerkit")
			osionro=2
		else if (osioteksti ~ "Sovellukset")
			osionro=3
	}
	else if (luku==1 && $0 !~ "</H5>")
		lukuteksti=$0
	else if (title==1 && $0 !~ "</H1>")
		titleteksti=$0
	else if (nb==1 && $0 !~ "</TITLE>") {
		nbteksti=$0
		gsub(/ /,"",nbteksti)
	}
	if ($0 ~ "<TITLE>")
		nb = 1
	else if ($0 ~ "</TITLE>")
		nb = 0
	else if ($0 ~ "<H4>")
		osio=1
	else if ($0 ~ "</H4>")
		osio=0
	else if ($0 ~ "<H5>")
		luku=1
	else if ($0 ~ "</H5>")
		luku=0
	else if ($0 ~ "<H1>")
		title=1
	else if ($0 ~ "</H1>") {
		title=0
		print "<html>" > (file)
		print "<head>" > (file)
		print "<title>" > (file)
		print titleteksti > (file)
		print "</title>" > (file)
		print "<link rel=\"stylesheet\" type=\"text/css\" href=\"../tyylit/sistyyli.css\">" > (file)
		print "<script src=\"../yhteiset/delta.js\">" > (file)
		print "</script>" > (file)
		print "</head>" > (file)
		print "<body onLoad=\"javascript:sissync('"FILENAME"','"osionro"')\">" > (file)

		print "<table border=0 cellspacing=0 cellpadding=0 class=\"tiedosto\"><td>" > (file)
		print "<a href=\"../nb/"nbteksti"\">"nbteksti"</a>" > (file)
		print "</td>" > (file)
		print "</table>" > (file)
		print "<div class=\"osio\">" > (file)
		print osioteksti " : " lukuteksti > (file)
		print "</div>" > (file)
		print "<h4>" > (file)
		print titleteksti > (file)
		tulosta=1
		sub(/H1/,"h4",$0)
	}
	else if ($0 ~ "SKK") {
		sig = "<hr><I>" $0
		$0 = "</I>"
		print $0 > (file)
		tulosta=0
	}
	if (tulosta==1) {
		gsub(/WIDTH="[0-9]*"/,"",$0)
		gsub(/HEIGHT="[0-9]*"/,"",$0)
		print $0 > (file)
	}
	if ($0 ~ "teoria/|ratk/|esim/|sovell/") {
		if (linkit == 0) {
			linkit=1
			print "<hr>" > (file)
			tulosta = 0
		}
		$0="<a href=\"" $0
		gsub(/<br>/,"<br><a href=\"",$0)
		$0=$0 "<br>"
		gsub(/<br>/,"</a><br>",$0)
		gsub(/:/,".html\">",$0)
		gsub(/<a href=\"teoria/,"<b>Teoria:</b> <a href=\"../teoria",$0)
		gsub(/<a href=\"ratk/,"<b>Ratkaiseminen:</b> <a href=\"../ratk",$0)
		gsub(/<a href=\"esim/,"<b>Esimerkit:</b> <a href=\"../esim",$0)
		gsub(/<a href=\"sovell/,"<b>Sovelluksia:</b> <a href=\"../sovell",$0)
		print $0 > (file)
	}
}
END {
	print sig > (file)
	print "</body>" > (file)
	print "</html>" > (file)
	print "del " FILENAME >> ("aja.bat")
	print "move " file " " FILENAME >> ("aja.bat")
}